Bug 230721

Summary: audio/ncmpc: Update to 0.30
Product: Ports & Packages Reporter: Laurent Cimon <laurent>
Component: Individual Port(s)Assignee: Tobias Kortkamp <tobik>
Status: Closed FIXED    
Severity: Affects Only Me CC: henrik, tobik
Priority: --- Flags: henrik: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Update diff to apply in audio/ncmpc
none
Patch to apply to audio/ncmpc: take over maintainership as well
none
Patch to apply in audio/ncmpc with maintainership changed and previous issues fixed none

Description Laurent Cimon 2018-08-17 23:42:35 UTC
Created attachment 196302 [details]
Update diff to apply in audio/ncmpc

Changes:

ncmpc 0.30 - (2018-04-04)
* fix crash after pressing ^W in search screen
* fix crash bug in chat screen
* fix completion list
* new color "progressbar-background"
* switch the code base to C++14
* build manual with Sphinx

- New option MANPAGES enabled by default to build the manual with sphinx
- Stop manually installing the files, as there seems to be no advantage to doing this over just letting ninja.mk and meson.mk do their thing
- Put the plist over in pkg-plist

The port passed poudriere's testport.
Comment 1 henrik 2018-08-19 15:21:07 UTC
Thanks, looks good to me. Also if you'd like to take over maintainership or someone else, feel free. I don't have a lot of time to write and submit patches at the moment.
Comment 2 Laurent Cimon 2018-08-19 15:27:34 UTC
(In reply to henrik from comment #1)
Sure, I can take maintainership. Would you like me to add this to the diff?
Comment 3 henrik 2018-08-19 15:35:06 UTC
Sure, why not!
Comment 4 Laurent Cimon 2018-08-19 16:02:09 UTC
Created attachment 196349 [details]
Patch to apply to audio/ncmpc: take over maintainership as well
Comment 5 Tobias Kortkamp freebsd_committer 2018-08-19 17:21:59 UTC
Comment on attachment 196349 [details]
Patch to apply to audio/ncmpc: take over maintainership as well

Hi,

it still needs some work:

- It fails to build on 10.4/i386: https://ptpb.pw/Avo6

- The entire options block could be indented one level less like before

- Why is MAKE_JOBS_UNSAFE=yes needed?

- Man pages need to go into ${PREFIX}/man not ${PREFIX}/share/man

- It is ugly that the MANPAGES option installs files into DOCSDIR.
  Please add a DOCS option.  You can do something like DOCS_IMPLIES=MANPAGES
  and use %%PORTDOCS%% instead of %%MANPAGES%% in pkg-plist for the files 
  installed into DOCSDIR.

- Please remove all empty lines from pkg-plist

- Please check portlint -C output
Comment 6 Laurent Cimon 2018-08-19 18:11:05 UTC
(In reply to Tobias Kortkamp from comment #5)
Hi,

* MAKE_JOBS_UNSAFE=yes is needed because the two manpage-building commands have a race condition that can cause the build to fail, this is new in 0.30 because it comes from the switch to Sphinx.

* I was thinking of making the option DOCS, but I thought it would be confusing because ncmpc also has an option to install API Documentation

I'll make a new patch later with these issues in mind, thank you.
Comment 7 Laurent Cimon 2018-08-19 20:34:32 UTC
Created attachment 196360 [details]
Patch to apply in audio/ncmpc with maintainership changed and previous issues fixed

Hi,

This should do. I'll propose the patches I made to the maintainer as well.

* MAKE_JOBS_UNSAFE was removed and I made the directory python was fighting over into two directories instead
* I added a DOCS option implying MANPAGES and patched in two different meson options to distinguish the manual and the html documentation
* I changed the unique_ptr that was being awkwardly converted back to a regular pointer, this should fix the i386 build (as far as this issue goes at least, I don't have a cross-compiling setup)
* Fixed portlint -C's output and the pkg-plist

The port still passes poudriere testport and now portlint -C
Comment 8 Tobias Kortkamp freebsd_committer 2018-09-11 11:43:12 UTC
(In reply to Laurent Cimon from comment #7)
Thanks!
Comment 9 commit-hook freebsd_committer 2018-09-11 11:43:47 UTC
A commit references this bug:

Author: tobik
Date: Tue Sep 11 11:42:54 UTC 2018
New revision: 479523
URL: https://svnweb.freebsd.org/changeset/ports/479523

Log:
  audio/ncmpc: Update to 0.30

  - Laurent takes maintainership
  - Add DOCS option to install the HTML manual
  - Add a MANPAGES option; the man page now has to be generated with
    sphinx as well

  PR:		230721
  Submitted by:	Laurent Cimon <laurent@nuxi.ca>
  Approved by:	henrik@affekt.org (maintainer)

Changes:
  head/audio/ncmpc/Makefile
  head/audio/ncmpc/distinfo
  head/audio/ncmpc/files/
  head/audio/ncmpc/files/patch-doc_meson.build
  head/audio/ncmpc/files/patch-meson__options.txt
  head/audio/ncmpc/files/patch-src_screen.hxx
  head/audio/ncmpc/pkg-plist